import { UmbLitElement } from '../../../../../core/lit-element/index.js';
import './content-editor-properties.element.js';
export declare class UmbContentWorkspaceViewEditTabElement extends UmbLitElement {
    #private;
    get containerId(): string | null | undefined;
    set containerId(value: string | null | undefined);
    private _containerId?;
    private _groups;
    private _hasProperties;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbContentWorkspaceViewEditTabElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-content-workspace-view-edit-tab': UmbContentWorkspaceViewEditTabElement;
    }
}
